def get_code_string(num_str):
     code = "bc0" + num_str
     if int(num_str) < 10:
         code = "bc00" + num_str
     return code

def load_stock(filename):
    input_stream = open(filename, "r")
    contents = input_stream.read().strip()
    input_stream.close()
    item_list = contents.split("\n")
    return item_list

def find_item_index(items_list, code):
     for i in range(len(items_list)):
          item = items_list[i]
          barcode_index = item.find(code)
          if barcode_index == 0:
               return i
     return -1
     
def main():
    items_list = load_stock("stock.txt")
    code_num = input("Enter item code number: ")
    barcode = get_code_string(code_num)
    index = find_item_index(items_list, barcode)
    if index != -1:
        print("Added to cart:", items_list[index])
    else:
        print("This item does not exist.")
main()
